Bug 1683422 - CLI output for CatalogSourceConfig is difficult to read
Summary: CLI output for CatalogSourceConfig is difficult to read
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: Anik
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-26 20:06 UTC by aravindh
Modified: 2019-06-04 10:44 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:45 UTC

Description aravindh 2019-02-26 20:06:12 UTC
From https://github.com/operator-framework/operator-marketplace/issues/116

Having seven items in the `additionalPrinterColumns`(https://github.com/operator-framework/operator-marketplace/blob/master/deploy/crds/catalogsourceconfig.crd.yaml#L19) for the `CatalogSourceConfig` CRD makes the rendered output from `kubectl get` difficult to read on even wide terminals (see screenshots). Consider reducing the number of fields being displayed.

Comment 1 Fan Jia 2019-03-07 09:54:42 UTC
The marketplace image commit is still "aabac93da42773f29c4230bd8b7906facc6c42f9" doesn't include the pr in the latest clusterversion., will test until the pr is included.
env
clusterversion:4.0.0-0.nightly-2019-03-06-074438

Comment 2 Fan Jia 2019-03-11 07:54:15 UTC
test with the upstream image,and the function is ok now,will test when the new nightly payload is ok
marketplaceimage commit:5a98c3c3c3e3482b5507ffef2c73a59f703fc10b
update the csc crd,and the output is:
oc get csc --all-namespaces
NAMESPACE               NAME                                 STATUS      MESSAGE                                       AGE
openshift-marketplace   certified-operators                  Succeeded   The object has been successfully reconciled   118m
openshift-marketplace   community-operators                  Succeeded   The object has been successfully reconciled   118m
openshift-marketplace   installed-dddd-openshift-operators   Succeeded   The object has been successfully reconciled   83m
openshift-marketplace   installed-redhat-default             Succeeded   The object has been successfully reconciled   82m
openshift-marketplace   mongotest                            Succeeded   The object has been successfully reconciled   9m21s
openshift-marketplace   redhat-operators                     Succeeded   The object has been successfully reconciled   118m
openshift-marketplace   test                                 Succeeded   The object has been successfully reconciled   118m
openshift-marketplace   testprometheus                       Succeeded   The object has been successfully reconciled   116m

Comment 5 errata-xmlrpc 2019-06-04 10:44:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.